from flask import Flask

# from flask_migrate import Migrate
# from flask_sqlalchemy import SQLAlchemy

from auth.login import auth_bp, login_manager
from upload.fileupload import upload_bp

from config import Config

# db = SQLAlchemy()
# migrate = Migrate()


def create_app():
    app = Flask(__name__)
    app.config.from_object(Config)

    app.secret_key = "A938457D23V00"
    app.config["SESSION_TYPE"] = "filesystem"

    app.register_blueprint(auth_bp, url_prefix="/auth")
    app.register_blueprint(upload_bp)
    login_manager.init_app(app)

    # ORM
    # db.init_app(app)
    # migrate.init_app(app, db)
    # from . import models

    return app
