from flask import Blueprint, redirect, url_for, request, session, flash, render_template
from flask_login import login_required, login_user, LoginManager
from forms import User

auth_bp = Blueprint("auth", __name__, url_prefix="/auth")
login_manager = LoginManager()

login_manager.login_view = "auth_bp.login"

@login_manager.user_loader
def load_user(user_id):
    return User(user_id)


@login_manager.unauthorized_handler
def unauthorized_callback():
    print("unauthorized_callback()")
    return redirect(url_for("auth.login"))


@auth_bp.route("/login", methods=["GET", "POST"])
def login():
    if request.method == "POST":
        username = request.form["username"]
        password = request.form["password"]

        try:
            if username == "bhsystem" and password == "bhsystem2025%":
                user = User(id=username)
                login_user(user)
                # 세션에 username저장
                session["username"] = username
                return redirect(url_for("upload.upload_file"))

            elif username == "bhsystem" and password != "bhsystem2025%":
                flash("비밀번호를 다시 입력해주세요.")
                return redirect(url_for("auth.login"))

            flash("아이디를 다시 입력해주세요.")
            return redirect(url_for("auth.login"))
        except Exception as e:
            print(f"login exception: {e}")
            return "don't login"
    else:
        return render_template("login.html")


@auth_bp.route("/logout")
@login_required
def logout():
    session.clear()
    return redirect(url_for("upload.upload_file"))
