from flask import Blueprint, redirect, url_for, request, session, flash, render_template
from flask_login import login_required, login_user, LoginManager
from forms import User
from werkzeug.security import generate_password_hash, check_password_hash

auth_bp = Blueprint("auth", __name__, url_prefix="/auth")
login_manager = LoginManager()

login_manager.login_view = "auth_bp.login"

user_db = {
    'bhsystem' : generate_password_hash('bhsystem2025%')
}


@login_manager.user_loader
def load_user(user_id):
    return User(user_id)


@login_manager.unauthorized_handler
def unauthorized_callback():
    print("unauthorized_callback()")
    return redirect(url_for("auth.login"))


@auth_bp.route("/login", methods=["GET", "POST"])
def login():
    if request.method == "POST":
        username = request.form["username"]
        password = request.form["password"]

        # if username in user_db:
        #     if check_password_hash(user_db[username], password):
        #         session['username']=username
        #         print("check user:", check_password_hash(user_db[username],password))
        #         print("username:", username)
        #         print("password:", password)
        #         user = User(id=username)
        #         login_user(user)
        #         return redirect(url_for('upload.upload_file'))
            
        #     else:
        #         flash("비밀번호를 다시 입력해주세요...")
        #         return redirect(url_for('auth.login'))
        
        # else:
        #     flash("아이디가 존재하지 않습니다.")
        #     return redirect(url_for("auth.login"))

        try:
            if username == "bhsystem" and password == "bhsystem2025%":
                user = User(id=username)
                login_user(user)
                # 세션에 username저장
                session["username"] = username
                return redirect(url_for("main.index"))
            
        except Exception as e:
            print(f"login exception: {e}")
            return "don't login"
    else:
        return render_template("auth/login.html")


@auth_bp.route("/logout")
@login_required
def logout():
    session.clear()
    return redirect(url_for("main.index"))
